1
0
forked from pool/virtualbox
virtualbox/vbox-vboxdrv-init-script.diff
Larry Finger 4beeb72f18 Accepting request 765913 from home:lwfinger:branches:Virtualization
- Version update to 6.1.2 (released January 14 2020i by Oracle)
  18 Vulnerabilities fixed: CVE-2020-2674 CVE-2020-2682 CVE-2020-2698 CVE-2020-2701 CVE-2020-2702 CVE-2020-2726
			    CVE-2020-2681 CVE-2020-2689 CVE-2020-2690 CVE-2020-2691 CVE-2020-2692 CVE-2020-2703
			    CVE-2020-2704 CVE-2020-2705 CVE-2020-2725 CVE-2020-2678 CVE-2020-2727 CVE-2020-2693
			    See bsc#1161050
  File "fixes_for_leap15.2.patch" added to fix build for Leap 15.2.
  As announced earlier by Oracle, 32-bit builds are no longer supported.
  This is a maintenance release. The following items were fixed and/or added:
  Virtualization core: fixed performance issue observed with Windows XP guests on AMD hosts (6.0.0 regression; bug #19152)
  Virtualization core: consistent IBRS/IBPB CPUID feature reporting, avoids crash of NetBSD 9.0 RC1 installer (bug #19146)
  GUI: fixed updating of runtime info
  GUI: in Display settings, do not show "2D video acceleration" checkbox if it is meaningless for the selected graphics adapter
  Audio: fixed audio input handling when VRDE is enabled
  Audio: fixed crash in the HDA emulation when using multi-speaker configurations
  Storage: fixed use of encrypted disks with snapshots involved (6.1.0 regression; bug #19160)
  Storage: improve performance of virtio-scsi
  Storage: read-only support for compressed clusters in QCOW2 images
  Linux host: Support Linux 5.5 (guest additions not yet)
  Windows guest: accelerate 2D video decoding (scaling and color space conversion) if the VM is configured to use VBoxSVGA with 3D enabled
  Windows guest: fix guest additions installer to upgrade the mouse filter driver reliably
  Windows guest: when uninstalling older Guest Additions with old 3D support enabled try restoring original Direct3D files
  Linux guest: improve resize and multi-monitor handling for VMs using VMSVGA (known remaining issue: do not disable a monitor "in the middle", causes confusion)

- Version update to 6.1.0 (released December 10 2019 by Oracle)
  - Fixes bsc#1132102.
  - Removed file "set_graphics_type.patch" as the problem is fixed upstream.
  This is a major update. The following major new features were added:
  - Implemented support for importing a virtual machine from Oracle Cloud Infrastructure
  - Extended support for exporting a virtual machine to Oracle Cloud Infrastructure, allowing the creation
	of multiple virtual machines without re-uploading. Also added option to export a VM to the cloud using the more efficient

OBS-URL: https://build.opensuse.org/request/show/765913
OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=526
2020-01-20 20:15:41 +00:00

89 lines
3.4 KiB
Diff

Index: VirtualBox-6.1.0_RC1/src/VBox/Installer/linux/vboxdrv.sh
===================================================================
--- VirtualBox-6.1.0_RC1.orig/src/VBox/Installer/linux/vboxdrv.sh
+++ VirtualBox-6.1.0_RC1/src/VBox/Installer/linux/vboxdrv.sh
@@ -19,11 +19,12 @@
#
### BEGIN INIT INFO
# Provides: vboxdrv
-# Required-Start: $syslog
-# Required-Stop:
-# Default-Start: 2 3 4 5
+# Required-Start: $syslog $remote_fs
+# Required-Stop: $syslog $remote_fs
+# Default-Start: 2 3 5
# Default-Stop: 0 1 6
-# Short-Description: VirtualBox Linux kernel module
+# Short-Description: VirtualBox Linux module
+# Description: VirtualBox Linux kernel module
### END INIT INFO
## @todo This file duplicates a lot of script with vboxadd.sh. When making
@@ -315,13 +316,6 @@ See the documenatation for your Linux di
fi
fi
# ensure permissions
- if ! chown :"${GROUP}" $DEVICE 2>/dev/null; then
- rmmod vboxpci 2>/dev/null
- rmmod vboxnetadp 2>/dev/null
- rmmod vboxnetflt 2>/dev/null
- rmmod vboxdrv 2>/dev/null
- failure "Cannot change group ${GROUP} for device $DEVICE"
- fi
if ! $MODPROBE vboxnetflt > /dev/null 2>&1; then
failure "modprobe vboxnetflt failed. Please use 'dmesg' to find out why"
fi
@@ -451,50 +445,8 @@ cleanup()
# setup_script
setup()
{
- begin_msg "Building VirtualBox kernel modules" console
- log "Building the main VirtualBox module."
- if ! myerr=`$BUILDINTMP \
- --save-module-symvers /tmp/vboxdrv-Module.symvers \
- --module-source "$MODULE_SRC/vboxdrv" \
- --no-print-directory install 2>&1`; then
- "${INSTALL_DIR}/check_module_dependencies.sh" || exit 1
- log "Error building the module:"
- module_build_log "$myerr"
- failure "Look at $LOG to find out what went wrong"
- fi
- log "Building the net filter module."
- if ! myerr=`$BUILDINTMP \
- --use-module-symvers /tmp/vboxdrv-Module.symvers \
- --module-source "$MODULE_SRC/vboxnetflt" \
- --no-print-directory install 2>&1`; then
- log "Error building the module:"
- module_build_log "$myerr"
- failure "Look at $LOG to find out what went wrong"
- fi
- log "Building the net adaptor module."
- if ! myerr=`$BUILDINTMP \
- --use-module-symvers /tmp/vboxdrv-Module.symvers \
- --module-source "$MODULE_SRC/vboxnetadp" \
- --no-print-directory install 2>&1`; then
- log "Error building the module:"
- module_build_log "$myerr"
- failure "Look at $LOG to find out what went wrong"
- fi
- if test -e "$MODULE_SRC/vboxpci"; then
- log "Building the PCI pass-through module."
- if ! myerr=`$BUILDINTMP \
- --use-module-symvers /tmp/vboxdrv-Module.symvers \
- --module-source "$MODULE_SRC/vboxpci" \
- --no-print-directory install 2>&1`; then
- log "Error building the module:"
- module_build_log "$myerr"
- failure "Look at $LOG to find out what went wrong"
- fi
- fi
- rm -f /etc/vbox/module_not_compiled
- depmod -a
- sync
- succ_msg "VirtualBox kernel modules built"
+# Try to build the host kernel modules in case prepackaging has failed
+ /sbin/vboxconfig
# Secure boot on Ubuntu and Debian.
if test -n "$HAVE_SEC_BOOT" &&
type update-secureboot-policy >/dev/null 2>&1; then